## ros-kinetic-ouster-driver 0.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ouster_driver)

add_compile_options(-std=c++11 -Wall)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
  sensor_msgs
  pcl_ros
  pcl_conversions
  roscpp
)

add_message_files(DIRECTORY msg FILES PacketMsg.msg)
generate_messages(DEPENDENCIES std_msgs sensor_msgs)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ouster_driver
  CATKIN_DEPENDS pcl_ros pcl_conversions roscpp message_runtime std_msgs sensor_msgs
)

add_executable(${PROJECT_NAME} src/os1_node.cpp src/os1_ros.cpp src/os1.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencpp)

install(TARGETS
            ${PROJECT_NAME}
            ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
            LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
            RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
            )

install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
        PATTERN ".svn" EXCLUDE
        )

install(DIRECTORY rviz/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
        PATTERN ".svn" EXCLUDE
        )

=== debian/changelog ===
ros-kinetic-ouster-driver (0.1.7-0xenial) xenial; urgency=high

  * Sensor model and firmware version validation
  * Added sensor model and firmware version validation. The driver currently only works for OS-1-64 and on firmware version 1.10 some configuration parameters disappeared.
  * Parameter validation and new pointcloud types
  * Added parameter validation to avoid reinitializing the LiDAR. Added new pointcloud types XYZIRF and XYZIRFN. Changed pulse_mode parameter from integer to string for readability. Updated the readme file.
  * Contributors: Alexander Carballo, alexandrx

 -- Alexander Carballo <miyamoto.musashi2@gmail.com>  Wed, 27 Mar 2019 15:00:00 -0000

ros-kinetic-ouster-driver (0.1.6-0xenial) xenial; urgency=high

  * Renamed ouster_ros to ouster_driver

 -- Alexander Carballo <miyamoto.musashi2@gmail.com>  Tue, 12 Mar 2019 15:00:00 -0000

ros-kinetic-ouster-driver (0.1.5-0xenial) xenial; urgency=high

  * updated package.xml

 -- Alexander Carballo <miyamoto.musashi2@gmail.com>  Tue, 12 Mar 2019 15:00:00 -0000

ros-kinetic-ouster-driver (0.1.4-0xenial) xenial; urgency=high

  * Updated project name to follow ros standards

 -- Alexander Carballo <miyamoto.musashi2@gmail.com>  Tue, 12 Mar 2019 15:00:00 -0000

ros-kinetic-ouster-driver (0.1.3-0xenial) xenial; urgency=high

  * Updated LICENSE

 -- Alexander Carballo <miyamoto.musashi2@gmail.com>  Tue, 05 Mar 2019 15:00:00 -0000

ros-kinetic-ouster-driver (0.1.2-0xenial) xenial; urgency=high

  * Changed operation mode from integer to string to ease reading.
  * New pointcloud mode format added
  * Improved parameter documentation
  * removed the old bool pointcloud_mode_xyzir parameter (to match Velodyne's mode) and replaced with a way to specify the desired pointcloud format, several options added including Ouster's native pointcloud format.
  * Added install commands
  * run CI on kinetic and melodic only
  * Fixed launch file to deal with hidden parameters, fixed readme.md to update the TODO, fixed os1_node.cpp to reduce by half the scan duration variable in case of 20Hz operation.
  * Updated the driver to support advanced parameter configuration (lidar-mode, pulse-mode and window-rejection-enable)
  * Eliminated the ouster-ros static library
  * Updated readme.md incorrect info for lidar address configuration.
  * Switched to industrial-ci
  * First commit for Autoware version branch. Modified the original Ouster ROS code to suit Autoware needs. Code structure is more simple, only ROS driver code is kept, and the readme.md file has more details on how to configure the sensor and use this driver. To further ease Autoware integration, Velodyne compatibility options were added and tested with nd-_matching, ray-ground-filter and euclidean-cluster nodes.
  * Improve positional argument parsing in viz
  * Use allocate-shared for Eigen compatibility
  * Support building visualizer with newer VTK
  * Readme tweaks and new example data
  * Update readme.md
  * updated the readme to include viz in the contents
  * Initial commit of the example visualizer
  * Uses VTK6 to display point clouds and range/intensity/noise images
  * No dependencies other than VTK6, Eigen3, and a C++11 compiler
  * Currently only supports linux; tested on multiple distributions and platforms
  * Use correct units in sensor-msgs::Imu
  * Deal with time going backwards in replays
  * Contributors: Alexander Carballo, Dima Garbuzov, Roy Rinberg, alexandrx, amc-nu, hooic, rafficm, rrinberg

 -- Alexander Carballo <miyamoto.musashi2@gmail.com>  Tue, 05 Mar 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ouster-driver
Section: misc
Priority: extra
Maintainer: Alexander Carballo <miyamoto.musashi2@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-ouster-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: OS1 ROS client

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ouster-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
